$roboto-font : 'Roboto', sans-serif;
$text-color : #25292C;
$content-color-default : #969696;
$opensans-font : 'Open Sans', sans-serif;
$header-font : 'Montserrat', sans-serif;
$main-font : 'Montserrat', sans-serif;
$content-font : 'Montserrat', sans-serif;
$main-color: #e91e63;
.block-pay-page{
    display: flex;
    min-height: 100vh;
    background-color: #f7f7f7;
    .block-payment-info{
        // width: 60%;
        // background-color: white;
        padding-top: 32px;
        .wrap-box{
            width: 100%;
            padding-right: 15px;
            padding-left: 15px;
            margin-right: auto;
            margin-left: auto;
            .logo{
                margin-bottom: 20px;
            }
            .payment-info{
                h5{
                    font-style: normal;
                    font-weight: 500;
                    font-size: 16px;
                    line-height: 23px;/* identical to box height */
                    letter-spacing: 0.01em;
                    font-family: $roboto-font;
                    color: #25292C;
                }
                .user{
                    display: inline-flex;
                    align-items: center;
                    .thumb{
                        margin-right: 10px;
                        width: 48px;
                        img{
                            width: 100%;
                        }
                    }
                    .infor{
                        .name{
                            display: block;
                            text-decoration: none;
                            font-family: $roboto-font;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 16px;
                            line-height: 19px;/* identical to box height */
                            color: $text-color;
                        }
                        .meta{
                            font-family: $opensans-font;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 16px;
                            line-height: 19px;/* identical to box height */

                            color: $content-color-default;
                        }
                    }
                }
                .form-payment{
                    font-family: $roboto-font;
                    .form-group{
                        display: flex;
                        justify-content: space-between;
                        .input-item {
                            position: relative;
                            height: 48px;
                            width: calc( 50% - 10px );
                        }
                        .full{
                            width: 100%;
                        }
                        .mr-3{
                            &:last-child{
                                margin-right: 0 !important;
                            }
                        }
                        label {
                            position: absolute;
                            top: 50%;
                            transform: translateY(-50%);
                            left: 10px;
                            font-family: $roboto-font;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 12px;
                            line-height: 17px;
                            transition: 0.2s all;
                            cursor: text;
                        }
                        input {
                            font-family: $main-font;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 14px;
                            line-height: 22px;
                            color: black;
                            padding-top: 18px;
                            padding-left: 10px;
                            padding-right: 10px;
                            height: 100%;
                            width: 100%;
                            background: #F9FAFB;
                            outline: none;
                            box-shadow: none;
                            border: 1px solid #E9E9E9;
                            box-sizing: border-box;
                            border-radius: 3px;
                        }
                        input:invalid {
                            outline: 0;
                            // color: #ff2300;
                            //   border-color: #ff2300;
                        }
                        input:focus,
                        input:valid {
                            // border-color: #00dd22;
                        }
                        input:focus~label,
                        input:valid~label {
                            top: 13px;
                        }
                    }
                }
                
            }
            .create-account{
                p{
                    font-size: 14px;
                }
                .form-group{
                    display: flex;
                    justify-content: space-between;
                    .input-item {
                        position: relative;
                        height: 48px;
                        width: calc( 50% - 10px );
                    }
                    .full{
                        width: 100%;
                    }
                    .mr-3{
                        &:last-child{
                            margin-right: 0 !important;
                        }
                    }
                    label {
                        position: absolute;
                        top: 50%;
                        transform: translateY(-50%);
                        left: 10px;
                        font-family: $main-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 12px;
                        line-height: 17px;
                        transition: 0.2s all;
                        cursor: text;
                    }
                    input {
                        font-family: $main-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 22px;
                        color: black;
                        padding-top: 18px;
                        padding-left: 10px;
                        padding-right: 10px;
                        height: 100%;
                        width: 100%;
                        background: #F9FAFB;
                        outline: none;
                        box-shadow: none;
                        border: 1px solid #E9E9E9;
                        box-sizing: border-box;
                        border-radius: 3px;
                    }
                    input:invalid {
                        outline: 0;
                        // color: #ff2300;
                        //   border-color: #ff2300;
                    }
                    input:focus,
                    input:valid {
                        // border-color: #00dd22;
                    }
                    input:focus~label,
                    input:valid~label {
                        top: 13px;
                    }
                }
                .form-radio{
                    /* border */
                    // border: 1px solid #E9E9E9;
                    box-sizing: border-box;
                    border-radius: 3px;
                    .box-radio{
                        // border-bottom: 1px solid #E9E9E9;
                        display: flex;
                        justify-content: space-between;
                        align-items: center;
                        height: 50px;
                        padding: 0 15px;
                        // margin: 20px 0;
                    }
                    span{
                        font-size: 14px;
                        color: #ccc;;
                    }
                }
            }
        }
        .custom-selectag-2 {
            width: 100%;
            position: relative;
            font-family: $roboto-font;
            label {
                position: absolute;
                top: 50%;
                transform: translateY(-50%);
                left: 10px;
                font-family: $roboto-font;
                font-style: normal;
                font-weight: normal;
                font-size: 12px;
                line-height: 17px;
                transition: 0.2s all;
                cursor: text;
                z-index: 99;
            }
            .tranf {
                top: 13px !important;
            }
            select {
                display: none;
            }
            .select-selected {
                display: flex;
                align-items: flex-end;
                height: 48px;
                padding: 4px 47px 4px 10px !important;
                font-style: normal;
                font-weight: normal;
                font-family: $roboto-font;
                font-size: 14px;
                line-height: 22px;
                color: black;
                background: #F9FAFB;
                /* border */
                border: 1px solid #E9E9E9 !important;
                box-sizing: border-box;
                border-radius: 3px;
                position: relative;
                &::before {
                    position: absolute;
                    content: '';
                    top: 10px;
                    bottom: 10px;
                    width: 1px;
                    right: 45px;
                    ;
                    background-color: #C4C4C4;
                }
                &:after {
                    position: absolute;
                    content: "\f0d7";
                    top: 33%;
                    transform: translateY(-50%) !important;
                    right: 30px;
                    width: 0;
                    height: 0;
                    font-size: 18px;
                    font-family: 'FontAwesome';
                    color: $content-color-default;
                }
            }
            .select-selected.select-arrow-active:after {
                content: "\f0d8";
            }
            .select-items div,
            .select-selected {
                color: $text-color;
                font-size: 14px;
                padding: 3px 16px;
                border-color: transparent transparent rgba(0, 0, 0, 0.1) transparent;
                cursor: pointer;
                user-select: none;
                white-space: nowrap;
            }
            .select-items {
                width: 100%;
                position: absolute;
                background: #F6F6F6;
                box-shadow: 0px 2px 12px rgba(0, 0, 0, 0.30432);
                border-radius: 7px;
                padding: 8px 0;
                top: 115%;
                min-width: 150px;
                left: auto;
                right: 0;
                z-index: 99;
            }
            .select-hide {
                display: none;
            }
            .select-items div:hover,
            .same-as-selected {
                color: $main-color;
            }
        }
    }
    .block-payment-cart{
        // width: 40%;
        padding-top: 32px;
        .wrap-box{
            width: 100%;
            padding-right: 15px;
            padding-left: 15px;
            margin-right: auto;
            margin-left: auto;
            .right-ctn{
                background-color: white;
                padding: 25px;
                .title{
                    font-family: $roboto-font;
                    font-style: normal;
                    font-weight: 500;
                    font-size: 20px;
                    line-height: 28px;/* identical to box height */
                    letter-spacing: 0.01em;
                    margin-bottom: 25px;
                    color: #25292C;
                }
                .cart-list-product{
                    padding-right: 15px;
                    max-height: 500px;
                    overflow-y: auto;
                    &::-webkit-scrollbar-track {
                        -webkit-box-shadow: inset 0 0 6px white;
                        border-radius: 10px;
                        background-color: white;
                    }

                    &::-webkit-scrollbar {
                        transform: translateY(5px);
                        width: 6px;
                        background-color: white;
                    }

                    &::-webkit-scrollbar-thumb {
                        border-radius: 10px;
                        -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, .3);
                        background-color: #DFE3E8;
                    }
                    
                    .cart-product-item{
                        margin-bottom: 15px;
                        display: flex;
                        justify-content: space-between;
                        align-items: center;
                        .cart-product{
                            display: inline-flex;
                            align-items: center;
                            
                            .thumb{
                                position: relative;
                                .count-cart{
                                    position: absolute;
                                    top: -7px;
                                    right: 5px;
                                    width: 24px;
                                    height: 24px;
                                    line-height: 24px;
                                    background: $main-color;
                                    font-size: 14px;
                                    font-weight: 600;
                                    font-family: $roboto-font;
                                    color: white;
                                    border: 1px solid #FFFFFF;
                                    box-sizing: border-box;
                                    border-radius: 50%;
                                    text-align: center;
                                }
                                .img{
                                    width: 85px;
                                    height: 85px;
                                    overflow: hidden;
                                    margin-right: 10px;
                                    img{
                                        width: 100%;
                                    }
                                }
                            }
                            .cart-product-info{
                                .name{
                                    margin: 0;
                                    a{
                                        white-space: nowrap;
                                        text-decoration: none;
                                        font-style: normal;
                                        font-weight: 500;
                                        font-size: 14px;
                                        line-height: 17px;
                                        color: $text-color;
                                        transition: all 0.23s;
                                        &:hover{
                                            color: $main-color;
                                            transition: all 0.23s;
                                        }
                                    }
                                }
                                .desc{
                                    font-style: normal;
                                    font-weight: normal;
                                    font-size: 14px;
                                    line-height: 17px;
        
                                    color: #969696;
                                }
                            }
                        }
                        .price{
                            font-family: $roboto-font;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 14px;
                            line-height: 16px;/* identical to box height */
                            display: flex;
                            align-items: center;
                            text-align: center;
                            letter-spacing: 0.05em;
                            color: $text-color;
                        }
                    }
                    
                }
                .block-code{
                    padding: 25px 0;
                    // border-top: solid 1px #E9E9E9;
                    // border-bottom: solid 1px #E9E9E9;
                    .form-group{
                        display: flex;
                        margin: 0;
                        .form-control{
                            outline: none;
                            box-shadow: none;
                            background: #F9FAFB;
                            border: 1px solid rgba(102, 102, 102, 0.15);
                            box-sizing: border-box;
                            border-radius: 3px 0px 0px 3px;
                            &::placeholder{
                                font-family: $roboto-font;
                                font-style: normal;
                                font-weight: normal;
                                font-size: 16px;
                                line-height: 19px;/* identical to box height */
                                color: $content-color-default;
                            }
                        }
                        .btn-submit{
                            font-family: $roboto-font;
                            font-style: normal;
                            font-weight: 500;
                            font-size: 14px;
                            line-height: 16px;/* identical to box height */
                            text-transform: uppercase;
                            color: #FFFFFF;
                            background: $content-color-default;
                            border-radius: 0px 3px 3px 0px;
                            white-space: nowrap;
                        }
                    }
                    .total-pay, .ship-price{
                        display: flex;
                        justify-content: space-between;
                    }
                }
                .block-cart-total{
                    padding: 30px 0;
                    .item-group{
                        display: flex;
                        justify-content: space-between;
                        align-items: center;
                        margin-bottom: 10px;
                        p{
                            margin-bottom: 0;
                        }
                        .title-price{
                            font-family: Roboto;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 16px;
                            line-height: 19px;/* identical to box height */
                            color: $content-color-default;
                        }
                        strong.price{
                            font-family: Roboto;
                            font-style: normal;
                            font-weight: normal;
                            font-size: 16px;
                            line-height: 19px;/* identical to box height */
                            text-align: right;
                            letter-spacing: 0.03em;
                            color: $main-color;
                        }
                        .btn{
                            box-shadow: none;
                            outline: none;
                            border: solid 1px transparent;
                            border-radius: 4px;
                            font-style: normal;
                            font-weight: 500;
                            font-size: 14px;
                            line-height: 17px;
                            letter-spacing: 0.01em;
                            text-transform: uppercase;
                            width: 100%;
                        }
                        .btn-paynow{
                            background-color: $main-color;
                            border-color: $main-color;
                            color: #FFFFFF;
                        }
                        .btn-continue{
                            background-color: white;
                            border-color: $content-color-default;
                            color: $content-color-default;
                        }
                    }
                }
                .total-price{
                    padding: 30px 0;
                    border-top: solid 1px #E9E9E9;
                    border-bottom: solid 1px #E9E9E9;
                    display: flex;
                    justify-content: space-between;
                    align-items: center;
                    span{
                        font-family: $roboto-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 18px;
                        line-height: 21px;
                        display: inline-block;
                        color: $text-color;
                    }
                    strong{
                        font-family: $roboto-font;
                        font-style: normal;
                        font-weight: 500;
                        font-size: 20px;
                        line-height: 25px;/* identical to box height */
                        text-align: right;
                        letter-spacing: 0.03em;
                        color: $main-color;
                    }
                }
                .cart-action{
                    margin-bottom: 30px;
                    display: flex;
                    justify-content: flex-end;
                    align-items: center;
                    a{
                        display: inline-flex;
                        align-items: center;
                        font-family: $roboto-font;
                        font-style: normal;
                        font-weight: normal;
                        font-size: 14px;
                        line-height: 16px;/* identical to box height */
                        color: $main-color;
                        text-decoration: none;
                        svg{
                            margin-right: 10px;
                        }
                    }
                    .btn-payment-success{
                        background: $main-color;
                        border-radius: 50px;
                        font-family: Roboto;
                        font-style: normal;
                        font-weight: 500;
                        font-size: 16px;
                        line-height: 19px;/* identical to box height */
                        text-align: center;
                        // text-transform: uppercase;
                        color: #FFFFFF;
                        height: 38px;
                        outline: none;
                        padding-left: 15px;
                        padding-right: 15px;
                    }
                }
            }
            .form-radio{
                background: white;
                /* border */
                // border: 1px solid #E9E9E9;
                box-sizing: border-box;
                border-radius: 3px;
                .box-radio{
                    // border-bottom: 1px solid #E9E9E9;
                    display: flex;
                    justify-content: space-between;
                    align-items: center;
                    height: 50px;
                    padding: 0 15px;
                    // margin: 20px 0;
                }
            }
        }
    }
}